@import 'assets/styles/variables';
@import 'assets/styles/classes';
@import 'assets/styles/colors';

body {
  margin: 0;
  font-family: Roboto, "Helvetica Neue", sans-serif;
  background-color: var(--background-color);
  color: var(--txt-color);

  * {
    box-sizing: border-box;
  }
}

h1, h2, h3, h4, h5, h6, p {
  margin: 0;
}

h1 {
  font-size: 3rem;
}

h2 {
  font-size: 2.5rem;
}

h3 {
  font-size: 1.75rem;
}

h4 {
  font-size: 1rem;
}

h5 {
  font-size: .75rem;
}

button {
  background-color: var(--btn-color);
  border-radius: .25rem;
  font-size: 1rem;
  color: var(--btn-txt);
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
  outline: 0;
  padding: .5rem 1rem;
  position: relative;
  text-align: center;
  vertical-align: top;
  min-width: 2rem;
  height: 3rem;
  border: 0;
  transition: .25s background-color, .25s color;

  &:hover, &:focus {
    background-color: var(--btn-focus);
  }
}
